from abc import ABC, abstractmethod

from cpl_query.extension import List

from py_to_uxf_core.model.python_class import PythonClass


class PythonParserABC(ABC):

    @abstractmethod
    def __init__(self): pass

    @abstractmethod
    def parse(self) -> List[PythonClass]: pass
